# Changelog

All notable changes to this project will be documented in this file.

This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [unreleased]

### 🚀 Features

- Add process name to systemd service
- Add fujin version info
- Set system as the default secrets adapter
- Add system secret reader

### 🐛 Bug Fixes

- Env content parse logic

### 🚜 Refactor

- Rename env_content to env

### 📚 Documentation

- Apply a more consitent writing style

### ⚙️ Miscellaneous Tasks

- Specify source package to avoid failing build backend

## [0.10.0] - 2024-11-24

### 🚀 Features

- Add doppler support to secrets

## [0.9.1] - 2024-11-23

### 🚜 Refactor

- Drop configurable proxy manager

### 📚 Documentation

- Add links to template systemd service files

### ⚡ Performance

- Run systemd commands concurrently using gevent

## [0.9.0] - 2024-11-23

### 🚀 Features

- Env content can be define directly in toml

### 🚜 Refactor

- Avoid running secret adapter if no secret placeholder is found

## [0.8.0] - 2024-11-23

### 🚀 Features

- Rewrite hooks (#30)

## [0.7.1] - 2024-11-23

### 🐛 Bug Fixes

- Broken .venv folder can fail deploy

## [0.7.0] - 2024-11-22

### 🚀 Features

- Inject secrets via bitwarden and 1password (#29)
- Add certbot_email configuration for nginx

### 🚜 Refactor

- Move requirements copy to transfer_files

<!-- generated by git-cliff -->
